// Written by TeTeT
// initialize the NDB system for an air vehicle

diag_log "Trying to add NDB support";

params [["_unit", ObjNull]];

if (isNull _unit) exitWith { diag_log "Cannot add NDB to null object"; };

if (!(_unit isKindOf "Man")) exitWith { diag_log "Only Man class is supported"; };

[_unit] spawn {
	params ["_unit"];

	angle = 0;
	uiNamespace setVariable ["angle", angle];
	activeBeaconFreq = _unit getVariable ["ttt_ndb_activeBeaconFreq", 1000];
	uiNamespace setVariable ["activeBeaconFreq", activeBeaconFreq];
	activeBeacon = _unit getVariable ["ttt_ndb_activeBeacon", ObjNull];
	uiNamespace setVariable ["activeBeacon", activeBeacon];
	with uiNamespace do {
		if (!isNil "ctrl") then {
			ctrlDelete ctrl;
		};
		while {isNull (findDisplay 46)} do {
			sleep 0.1;
		};
		ctrl = findDisplay 46 ctrlCreate ["RscPictureKeepAspect", -1];;
		ctrl ctrlSetPosition [0,-0.55,0.5,0.5];
		ctrl ctrlSetText "\ttt_ndb\data\NDB.paa";
		ctrl ctrlSetAngle [angle, 0.5, 0.5];
		ctrl ctrlSetTextColor [1,1,1,0];
		ctrl ctrlCommit 0;
	};
};

beaconActive = false;

_unit addAction [
	"Show bearing indicator",
	"beaconActive = true; (uiNamespace getVariable 'ctrl') ctrlSetTextColor [1,1,1,1]",
	"",
	0,
	false,
	true,
	"",
	"!beaconActive and (vehicle player) isKindOf 'Air'"
];

_unit addAction [
	"Hide bearing indicator",
	"beaconActive = false; (uiNamespace getVariable 'ctrl') ctrlSetTextColor [1,1,1,0]",
	"",
	0,
	false,
	true,
	"",
	"beaconActive and (vehicle player) isKindOf 'Air'"
];

_unit addAction [
	"Enter beacon frequency",
	"createDialog 'FrequencyDialog';",
	"",
	0,
	false,
	true,
	"",
	"(vehicle player) isKindOf 'Air'"
];

